<template>
  <div id="app">
    <button @mousedown="resetSet()">change set</button>
    <button @mousedown="test()">test</button>
    <button @mousedown="train()">train</button>
    <table>

        <tr>
          <td> input 1 </td>
          <td> input 2 </td>
          <td> espectd result </td>
        </tr>
      <!--  <tr v-for="(i,index) in trainData" v-bind:key="index">
          <td> {{i[0]}} </td>
          <td> {{i[1]}} </td>
          <td> {{i[2]}} </td>
        </tr>
-->
    </table>
      
  </div>
</template>

<script>
const Perceptron = require('./js/perceptron.js');
export default {
  name: 'App',
  components: {
    
    },
  data(){
    return{
       per :"",
       trainData:[]
    }
  },
  methods:{
    test(){
      var bien = 0;
      for (let i = 0; i < this.trainData.length; i++) {
        const in1 = this.trainData[i][0];
        const in2 = this.trainData[i][1];
        const resp = this.trainData[i][2];
        const send = [in1,in2]
        bien += this.per.execute(send) == resp ? 1:0;
         
        
      }
      console.log("acuracy :",bien/ this.trainData.length);
     
      console.log( "weight",this.per.weights);
      
      
    },
    train(){
       var bien = 0;
      for (let i = 0; i < this.trainData.length; i++) {
        const in1 = this.trainData[i][0];
        const in2 = this.trainData[i][1];
        const resp = this.trainData[i][2];

        bien +=(this.per.fix([in1,in2],resp) ==0)?1:0 ;
      }
      console.log("acuracy :",bien/ this.trainData.length);
      console.log( "weight",this.per.weights);

    },
    resetSet(){
       
      var ndata = []
      for (let i = 0; i < 10000 ; i++) {
      const r1 = Math.random()*10;
      const r2 = Math.random()*10;
      const resu = (r1>r2)?-1:1;
      ndata.push([r1,r2,resu])
      

    }
    this.trainData = ndata;
    } 
  },
  
  mounted(){
   this.per = new Perceptron(2);
    }
  
}
</script>

<style>
body {
    display: block;
    margin: 0px;
}
#app {
  font-family: 'Avenir', Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
}

</style>
